#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/select.h>

#include "/usr/src/linux/include/linux/inotify.h"

#define ALL_MASK 0xffffffff

#include "inotify_utils.h"

int main (int argc, char **argv)
{
	int fd;

	fd = open_dev();

	if (fd < 0) {
		return 0;
	}

//	dev_setdebug(fd, ALL_MASK);
	dev_stats(fd);

	close_dev (fd);

	watch_dir (fd, "/mnt/", ALL_MASK);
	printf("Sleeping for 5 seconds...\n");
	sleep (5);
	read_and_print_events (fd);

	dev_stats (fd);

	close_dev (fd);
	return 0;
}
